VTK: vtkWebGPUInternalsRenderPassCreateInfo Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
vtkWebGPUInternalsRenderPassCreateInfo Class Reference

`#include <vtkWebGPUInternalsRenderPassCreateInfo.h>`

Collaboration diagram for vtkWebGPUInternalsRenderPassCreateInfo:
[legend]

## Public Member Functions
| vtkWebGPUInternalsRenderPassCreateInfo ()
| vtkWebGPUInternalsRenderPassCreateInfo (uint32_t width, uint32_t height, wgpu::Texture color, wgpu::TextureFormat texture=DefaultColorFormat)

## Static Public Member Functions
static vtkWebGPUInternalsRenderPassCreateInfo | CreateBasicRenderPass (const wgpu::Device &device, uint32_t width, uint32_t height, wgpu::TextureFormat format=DefaultColorFormat)

## Public Attributes
uint32_t | width
uint32_t | height
wgpu::Texture | color
wgpu::TextureFormat | colorFormat
vtkWebGPUInternalsRenderPassDescriptor | renderPassInfo

## Static Public Attributes
static constexpr wgpu::TextureFormat | DefaultColorFormat = wgpu::TextureFormat::RGBA8Unorm

## Detailed Description

Definition at line 11 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

## Constructor & Destructor Documentation

## ◆ vtkWebGPUInternalsRenderPassCreateInfo() [1/2]

vtkWebGPUInternalsRenderPassCreateInfo::vtkWebGPUInternalsRenderPassCreateInfo | ( |  | ) |

## ◆ vtkWebGPUInternalsRenderPassCreateInfo() [2/2]

vtkWebGPUInternalsRenderPassCreateInfo::vtkWebGPUInternalsRenderPassCreateInfo | ( | uint32_t | width,
|  | uint32_t | height,
|  | wgpu::Texture | color,
|  | wgpu::TextureFormat | texture = `DefaultColorFormat`
| ) |  |

## Member Function Documentation

## ◆ CreateBasicRenderPass()

static vtkWebGPUInternalsRenderPassCreateInfo vtkWebGPUInternalsRenderPassCreateInfo::CreateBasicRenderPass | ( | const wgpu::Device & | device,
|  | uint32_t | width,
|  | uint32_t | height,
|  | wgpu::TextureFormat | format = `DefaultColorFormat`
| ) |  |
| static

## Member Data Documentation

## ◆ DefaultColorFormat

constexpr wgpu::TextureFormat vtkWebGPUInternalsRenderPassCreateInfo::DefaultColorFormat = wgpu::TextureFormat::RGBA8Unorm
| staticconstexpr

Definition at line 18 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

## ◆ width

uint32_t vtkWebGPUInternalsRenderPassCreateInfo::width

Definition at line 23 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

## ◆ height

uint32_t vtkWebGPUInternalsRenderPassCreateInfo::height

Definition at line 24 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

## ◆ color

wgpu::Texture vtkWebGPUInternalsRenderPassCreateInfo::color

Definition at line 25 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

## ◆ colorFormat

wgpu::TextureFormat vtkWebGPUInternalsRenderPassCreateInfo::colorFormat

Definition at line 26 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

## ◆ renderPassInfo

vtkWebGPUInternalsRenderPassDescriptor vtkWebGPUInternalsRenderPassCreateInfo::renderPassInfo

Definition at line 27 of file vtkWebGPUInternalsRenderPassCreateInfo.h.

The documentation for this class was generated from the following file:

- Rendering/WebGPU/vtkWebGPUInternalsRenderPassCreateInfo.h